EDIT - feature request #6597
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate Details View
04/27/2017 06:53 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

Related issues:

Related to EDIT - bug #7117: Some bugs in Misapplied Name View after e4 migra... Closed
Related to EDIT - bug #7484: Protected titleCache handling not correct in Ref... Closed
Copied to EDIT - bug #6949: The Media details view does not show the full image Closed

Associated revisions

Revision 92568738 - 07/18/2017 04:26 PM - Patrick Plitzner

ref #6597 Prototye for migrated details view

Revision 5062284f - 07/19/2017 02:16 PM - Patrick Plitzner
ref #6597 Propagate editing events

Revision 4719d4fd - 07/19/2017 04:33 PM - Patrick Plitzner
ref #6597 fix selection handling

Revision 4201acbf - 07/19/2017 04:33 PM - Patrick Plitzner

ref #6597 Remove duplicate menu item

Revision 2e4330c6 - 07/19/2017 04:34 PM - Patrick Plitzner
ref #6597 Change error handling

Revision f94b166b - 07/19/2017 04:47 PM - Patrick Plitzner

ref #6597 Avoid session errors and empty view for unaccepted selections

Revision 6b82400a - 08/09/2017 05:03 PM - Patrick Plitzner

ref #6597 Enhance selection handling for DetailsView

Revision 9e2ac218 - 08/09/2017 05:25 PM - Patrick Plitzner
ref #6597 Fix potential endless loop

Revision 9c4df5f5 - 08/10/2017 10:08 AM - Patrick Plitzner
ref #6597 Remove debug info

Revision e634e646 - 08/10/2017 04:46 PM - Patrick Plitzner

ref #6597 Move abstract class to super package

Revision a6d63028 - 08/10/2017 07:12 PM - Patrick Plitzner

ref #6905, #6597 Extract super class for details and supplemental viewer

Revision 9da8ddff - 08/10/2017 07:19 PM - Patrick Plitzner
ref #6905, #6597 Propagate selection for supplemental data view

Revision 6f5407a6 - 08/11/2017 11:28 AM - Patrick Plitzner

ref #6905, #6597 Allow saving of editor when view is active

Revision a4980826 - 08/11/2017 11:40 AM - Patrick Plitzner
ref #6905, #6597 refactor selectionChanged() method

Revision 3c2b5bba - 08/11/2017 12:36 PM - Patrick Plitzner

ref #6905, #6597 further improvement on selection evaluation

Revision eff541be - 08/11/2017 01:00 PM - Patrick Plitzner
ref #6905, #6597 Fix potential NPE

Revision 25593544 - 08/14/2017 09:42 AM - Patrick Plitzner
ref #6905, #6597 Adjust visibility

Revision 4b40006d - 08/14/2017 09:42 AM - Patrick Plitzner
ref #6905, #6597 Fix potential NPE

Revision 15376¢80 - 08/14/2017 09:43 AM - Patrick Plitzner
ref #6905, #6597 Restore details and supplemental view

Revision b8e0aa81 - 08/15/2017 11:06 AM - Patrick Plitzner
ref #6905, #6597 Move part initialisation to sub classes

Revision 2443233c - 08/15/2017 11:06 AM - Patrick Plitzner
ref #6905, #6597 viewer handling

Revision c2b6c2d3 - 08/18/2017 02:26 PM - Katja Luther

fix details view for misapplied names and add choosable taxon for misapplied name relationsip

Revision d17343e9 - 08/22/2017 11:57 AM - Patrick Plitzner

ref #6597 Propagate selection of details view

Revision db16b74c - 09/15/2017 08:28 AM - Patrick Plitzner

ref #6597 Fix selection for specimen details view and bulk editor

Revision b11b49ce - 09/22/2017 03:01 PM - Patrick Plitzner

ref #6597 Re-enable molecular handlers

Revision e70e12b9 - 09/26/2017 02:37 PM - Patrick Plitzner
ref #6597 Fix potential NPE

Revision 6393027d - 10/15/2017 08:24 PM - Patrick Plitzner
ref #6907, #6597 Refresh details view after changing desc element

Revision 61d94a7a - 11/03/2017 09:06 AM - Patrick Plitzner
ref #6595, #6597 Optimize selection event propagation

¢ reduce rendering of details view etc.

History

#1 - 05/04/2017 01:58 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 4.9

#2 - 07/21/2017 10:26 AM - Andreas Mdiller
- Target version changed from Release 4.9 to Release 4.10

#3 - 08/11/2017 12:37 PM - Patrick Plitzner
- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

#4 - 08/11/2017 12:37 PM - Patrick Plitzner

- Assignee changed from Andreas Miiller to Patrick Plitzner

#5 - 08/11/2017 01:12 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

There is still the issue that the views are not restored. But please test the rest.

#6 - 08/14/2017 09:44 AM - Patrick Plitzner

Patrick Plitzner wrote:

There is still the issue that the views are not restored. But please test the rest.

This has been fixed now

#7 - 08/14/2017 09:44 AM - Patrick Plitzner
- % Done changed from 0 to 50

#8 - 08/15/2017 02:35 PM - Andreas Miuller

- Assignee changed from Andreas Muiller to Katja Luther

Katja, can you review this first and then pass to me?

#9 - 08/18/2017 10:40 AM - Katja Luther

one open issues: the cache fields shouldn't be grayed if they are editable.

#10 - 08/18/2017 10:40 AM - Katja Luther

- Status changed from Resolved to Feedback

#11 - 08/18/2017 01:19 PM - Katja Luther

The details view for misapplied names is switched back to the taxon details view.

#12 - 08/18/2017 02:29 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

Katja Luther wrote:

The details view for misapplied names is switched back to the taxon details view.

this is fixed.

#13 - 08/22/2017 08:31 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

Katja Luther wrote:

one open issues: the cache fields shouldn't be grayed if they are editable.

this is an old issue, so | create a new ticket.
#14 - 09/14/2017 11:55 AM - Andreas Miiller

- File picture714-1.png added

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner
- Priority changed from New to Highest

The Media details view does not show the full image anymore.

E.g. testserver/rem_conf_am -> Media Bulk editor -> search for A* -> select Arenaria biflora L. -> not the full hight of the image is shown (see
attachement)

After resizing the window the full image is shown. When using advanced view a larger part of the image is shown but still not the full size.

#15 - 09/14/2017 12:09 PM - Andreas Miiller

Except for the above | can't find any other issues (but could not test how it interacts with supplemental data view as the later still has bugs #6905)

#16 - 09/14/2017 04:13 PM - Andreas Miiller

In Specimen Tree editor and Specimen bulk editor data is immediately persisted after typing. Closing the view without saving does not prevent from
saving. When reopening the changes are still there.

Additionally the save button does not get enables in the specimen bulk editor when any changes happen.
If this is not related to the details view please feel free to open new ticket or add to according existing ticket.

#17 - 09/15/2017 07:52 AM - Patrick Plitzner
- Copied to bug #6949: The Media details view does not show the full image added

#18 - 09/15/2017 07:52 AM - Patrick Plitzner
Andreas Muller wrote:
The Media details view does not show the full image anymore.

E.g. testserver/rem_conf_am -> Media Bulk editor -> search for A* -> select Arenaria biflora L. -> not the full hight of the image is shown (see
attachement)

After resizing the window the full image is shown. When using advanced view a larger part of the image is shown but still not the full size.

ticket --> #6949

#19 - 09/15/2017 08:28 AM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Muiller
Andreas Miller wrote:

In Specimen Tree editor and Specimen bulk editor data is immediately persisted after typing. Closing the view without saving does not prevent
from saving. When reopening the changes are still there.

Additionally the save button does not get enables in the specimen bulk editor when any changes happen.

If this is not related to the details view please feel free to open new ticket or add to according existing ticket.

This should be fixed.
Please close if possible.

#20 - 09/15/2017 09:08 AM - Andreas Miuiller

- Status changed from Feedback to Resolved

#21 - 09/20/2017 10:36 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Patrick Plitzner

Looks like this is all fixed.
https://dev.e-taxonomy.eu/redmine/issues/6905
https://dev.e-taxonomy.eu/redmine/issues/6949

#22 - 09/26/2017 04:52 PM - Patrick Plitzner
- % Done changed from 50 to 100

#23 - 12/06/2017 01:14 PM - Andreas Miiller
- Related to bug #7117: Some bugs in Misapplied Name View after e4 migration added

#24 - 06/15/2018 08:42 PM - Andreas Miiller

- Related to bug #7484: Protected titleCache handling not correct in Reference detail view added

Files

picture714-1.png 138 KB 09/14/2017 Andreas Miller
